import http from '@/http'

export const getWorkbenchData = params =>
  http.get('/api/v1/workbench', { params })// 获取工作台数据
export const getInfoList = params =>
  http.get('/api/v1/notify/list', { params })// 通知列表
export const getInfoDetail = params =>
  http.get('/api/v1/notify/detail/{id}', { params })// 通知详情
export const infoReceived = data => http.post(`/api/v1/notify/read/${data.id}`, data) // 通知已读
export const guidancDetail = params =>
  http.get('/api/v1/sys/user-guidanc/detail', { params })// 通知列表
export const dashboardList = params =>
  http.get('/api/v1/notice/dashboard/list', { params })// 公告列表
export const urging = recordId =>
  http.post(`/api/v1/workbench/urging/${recordId}`)// 催办

